<div [ngClass]="[jds.card]">
  <div [ngClass]="[jds.cardBody, jds.p(0)]">
    <ul
      #nav="jdsBiNav"
      [(activeId)]="activeNav"
      [colorScheme]="colorScheme"
      [ngClass]="[jds.alignItems('center')]"
      jdsBiNav
      variant="ghost"
    >
      <li [jdsBiNavItem]="'about'">
        <a jdsBiNavLink>Tentang Mapset</a>
      </li>
      <li [jdsBiNavItem]="'metadata'">
        <a jdsBiNavLink>Metadata</a>
      </li>
    </ul>
  </div>

  <ng-container *ngIf="activeNav === 'about'">
    <div
      [ngClass]="[
        jds.cardBody,
        jds.borderBottom(1),
        jds.pt(32),
        jds.px(24),
        jds.pb(16)
      ]"
    >
      <div
        [ngClass]="[jds.fs(16), jds.mb(24), 'ck-satudata']"
        [style.whiteSpace]="'pre-wrap'"
        [innerHTML]="data.description ? (data.description | safeHtml) : ''"
      ></div>

      <div [ngClass]="[jds.tableResponsive]">
        <table
          [ngClass]="[jds.table, jds.tableBorderless]"
          role="table"
          aria-label="About Mapset"
          aria-describedby="Table About Mapset"
        >
          <tbody>
            <tr>
              <th
                [ngClass]="jds.fw('normal')"
                [style.width.%]="16.5"
              >
                Skala
              </th>
              <td [style.width.px]="15">:</td>
              <td>{{ data.scale || '-' }}</td>
            </tr>
            <tr>
              <th [ngClass]="jds.fw('normal')">Jumlah Dilihat</th>
              <td>:</td>
              <td>{{ data.count_view_private | number: '1.0-0' : 'id' }}</td>
            </tr>
            <tr>
              <th [ngClass]="jds.fw('normal')">Jumlah Diunduh</th>
              <td>:</td>
              <td>{{ data.count_access_private | number: '1.0-0' : 'id' }}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <div [ngClass]="[jds.cardBody, jds.pt(24), jds.px(24), jds.pb(32)]">
      <app-organization-information-detail
        [title]="'Penanggung Jawab'"
        [data]="{
          logo: data.skpd.logo,
          nama_skpd: data.owner,
          phone: data.owner_telephone,
          email: data.owner_email,
          address: data.owner_address
        }"
        [dataSub]="data.skpdsub"
        [dataUnit]="data.skpdunit"
      />
    </div>
  </ng-container>

  <ng-container *ngIf="activeNav === 'metadata'">
    <div [ngClass]="[jds.cardBody, jds.pt(32), jds.px(24), jds.pb(16)]">
      <div [ngClass]="[jds.tableResponsive]">
        <table
          [ngClass]="[
            jds.table,
            jds.tableSm,
            jds.tableBordered,
            jds.tableStriped
          ]"
          role="table"
          aria-label="Metadata Mapset"
          aria-describedby="Table Metadata Mapset"
        >
          <tbody>
            <tr>
              <th
                [style.width.%]="25"
                scope="row"
              >
                Sumber Data
              </th>
              <td>{{ data.mapset_source ? data.mapset_source.name : '-' }}</td>
            </tr>
            <tr>
              <th>Mapservice</th>
              <td>
                <ng-container *ngIf="data.app_link; else emptyMapservice">
                  <a
                    [ngClass]="['t-link']"
                    [href]="data.app_link"
                    target="_blank"
                  >
                    <span>Lihat Tautan</span>
                    <jds-bi-icon
                      [ngClass]="[jds.ms(11)]"
                      [size]="14"
                      name="arrow-up-right-from-square"
                    />
                  </a>
                </ng-container>

                <ng-template #emptyMapservice>-</ng-template>
              </td>
            </tr>
            <tr>
              <th>Metadata XML</th>
              <td>
                @if (data.metadata_xml) {
                  <a
                    [ngClass]="['t-link']"
                    [href]="data.metadata_xml | mapsetMetadataXML"
                    target="_blank"
                  >
                    <span>Lihat Tautan</span>
                    <jds-bi-icon
                      [ngClass]="[jds.ms(11)]"
                      [size]="14"
                      name="arrow-up-right-from-square"
                    />
                  </a>
                } @else {
                  <span>-</span>
                }
              </td>
            </tr>
            <tr>
              <th>File SHP</th>
              <td>
                @if (data.shp) {
                  <a
                    [ngClass]="['t-link']"
                    [style.cursor]="'pointer'"
                    (click)="onDownloadSHP()"
                  >
                    <span>Download</span>
                    <jds-bi-icon
                      [ngClass]="[jds.ms(11)]"
                      [size]="14"
                      name="cloud-arrow-down"
                    />
                  </a>
                } @else {
                  <span>-</span>
                }
              </td>
            </tr>
            <tr>
              <th>Tipe Mapset</th>
              <td>
                {{ data.mapset_type ? data.mapset_type.name : '-' }}
              </td>
            </tr>
            <tr>
              <th>Cakupan Wilayah</th>
              <td>
                {{
                  data.mapset_area_coverage_id
                    ? data.mapset_area_coverage.name
                    : '-'
                }}
              </td>
            </tr>
            <tr>
              <th>Periode Update Data</th>
              <td>{{ data.update_period || '-' }}</td>
            </tr>
            <tr>
              <th>Edisi/Versi Data</th>
              <td>{{ data.revision_date || '-' }}</td>
            </tr>
          </tbody>
        </table>
      </div>

      <h5 [ngClass]="[jds.fs(16), jds.my(12)]">Attribut Mapset</h5>

      <div [ngClass]="[jds.tableResponsive]">
        <table
          [ngClass]="[
            jds.table,
            jds.tableSm,
            jds.tableBordered,
            jds.tableStriped
          ]"
          role="table"
          aria-label="Metadata Mapset"
          aria-describedby="Table Metadata Mapset"
        >
          <tbody>
            <tr *ngFor="let item of data.metadata">
              <th
                [style.width.%]="25"
                scope="row"
              >
                {{ item.key }}
              </th>
              <td>{{ item.value || '-' }}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </ng-container>
</div>
